0.5.3.2 DOES work with TB 3.0.4 Rated 4 out of 5 stars

I've been using Buttons! for years too; how time flies. After updating TB to 3.0.4 my Buttons! 0.5.3.2 installation suddenly stopped working. A message under Add-Ons said -Does not provide secure updates-.

I re-downloaded Buttons! 0.5.3.2 (wasn't the same size as my previous download with the same version number) and re-installed and suddenly the message has disappeared and it works again.

Maybe the numbering should be changed to 0.5.3.2a ;-)